Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.labels
Interface CategorySeriesLabelGenerator

All Known Implementing Classes:
  StandardCategorySeriesLabelGenerator

    public interface CategorySeriesLabelGenerator

A generator that creates labels for the series in a `CategoryDataset`.

Classes that implement this interface should be either (a) immutable, or (b) cloneable via the `PublicCloneable` interface (defined in the JCommon class library). This provides a mechanism for the referring renderer to clone the generator if necessary.

Method Summary
`java.lang.String` | `generateLabel(CategoryDataset dataset, int series)` Generates a label for the specified series.

Method Detail

### generateLabel

    java.lang.String generateLabel(CategoryDataset dataset,
                                   int series)

  Generates a label for the specified series.

  Parameters:
    `dataset` - the dataset (`null` not permitted).
    `series` - the series index.
  Returns:
    A series label.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.